#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Mozilla
%define		pnam	CA
%include	/usr/lib/rpm/macros.perl
Summary:	Mozilla::CA - Mozilla's CA cert bundle in PEM format
Summary(pl.UTF-8):	Mozilla::CA - pakiet certyfikatów CA Mozilli w formacie PEM
Name:		perl-Mozilla-CA
# although upsream has new releases, there is no benefit of that other than
# feeling library is fresh, as we do not use certs provided by this module.
Version:	20160104
Release:	1
License:	MPL v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mozilla/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1b91edb15953a8188f011ab5ff433300
Patch0:		system-ca-certificates.patch
URL:		http://search.cpan.org/dist/Mozilla-CA/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	ca-certificates
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mozilla::CA provides a path to ca-certificates copy of Mozilla's
bundle of certificate authority certificates in a form that can be
consumed by modules and libraries based on OpenSSL.

%description -l pl.UTF-8
Mozilla::CA dostarcza kopię pakietu certyfikatów CA (Certificate
Authority) w postaci nadającej się do odczytu przez moduły i
biblioteki oparte na OpenSSL.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

# Do not distribute Mozilla downloader, we take certificates from ca-certificates package
rm mk-ca-bundle.pl
sed -i '/^mk-ca-bundle.pl$/d' MANIFEST

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Mozilla/CA.pm
#%{perl_vendorlib}/Mozilla/CA
%{_mandir}/man3/Mozilla::CA.3pm*
%changelog
* Fri Mar 11 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Mozilla-CA.git;a=log;h=master

* Fri Mar 11 2016 Elan Ruusamäe <glen@delfi.ee> 26732f2
- up to 20160104, no code changes, no cert changes (using ca-certificates package)

* Thu Aug 27 2015 Elan Ruusamäe <glen@delfi.ee> 4d678ce
- 20150826

* Mon Feb 09 2015 Elan Ruusamäe <glen@delfi.ee> 60c38f4
- up to 20141217, no changes to code

* Mon Feb 09 2015 Elan Ruusamäe <glen@delfi.ee> 9a3b0fe
- use system ca-certificates

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a3dad36
- up to 20130114

* Fri Jun 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 5779447
- updated to 20120309
- pl

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 8c75865
- up to 20111025

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> 2c6631b
- added

